<ng-container *transloco="let t; read: 'my_organizations'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('unapproved_orgs_header')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource"
        (matSortChange)="announceSortChange($event)">
        <!-- Org name -->
        <ng-container matColumnDef="organization_name">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('organization_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{row.organization_name}}
          </td>
        </ng-container>
        <!-- Request Status Column -->
        <ng-container matColumnDef="status">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('status_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <div class="row-container">
              <div
                class="status-indicator"
                [ngClass]="row.account_state|lowercase"></div>
              <div>
                {{'organization_account_state.'+row.account_state|transloco}}
              </div>
            </div>
          </td>
        </ng-container>
        <!-- Options Button Column -->
        <ng-container matColumnDef="actions">
          <th
            mat-header-cell
            *matHeaderCellDef
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <span
              [matTooltip]="t('action_tooltip_edit_org_disabled')"
              [matTooltipDisabled]="row.account_state === OrganizationAccountState.
            REQUIRES_ACTIVATION">
              <button
                mat-mini-fab
                color="primary"
                [disabled]="row.account_state !== OrganizationAccountState.
            REQUIRES_ACTIVATION"
                [matTooltip]="t('action_tooltip_edit_org')"
                class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
                (click)="editOrganizationClicked.emit({id: row.organization_id})">
                <mat-icon>edit</mat-icon>
              </button>
            </span>
            <span
              [matTooltip]="t('action_tooltip_delete_org_disabled')"
              [matTooltipDisabled]="row.account_state === OrganizationAccountState.
          REQUIRES_ACTIVATION">
              <button
                mat-mini-fab
                color="warn"
                [disabled]="row.account_state !== OrganizationAccountState.REQUIRES_ACTIVATION"
                class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
                [matTooltip]="t('action_tooltip_delete_org')"
                (click)="deleteOrganizationClicked.emit({id: row.organization_id})">
                <mat-icon>delete_forever</mat-icon>
              </button>
            </span>
          </td>
        </ng-container>
        <tbody>
          <tr
            mat-header-row
            *matHeaderRowDef="displayedColumns"></tr>
          <tr
            mat-row
            *matRowDef="let row; columns: displayedColumns;"></tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="3">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
